<div class='wrapper mb-5'>
  <img src='assets/gifs/CantorSet.gif' alt='Visualization of a cantor set' class='intro-image'/>
  <img src='assets/images/about/Mo1To1.jpeg' alt='Moritz' class='circular--square frame'>
  <div class='container content-box mb-5'>
    <div class='row my-5'>
      <div class='col-10 mx-auto'>
        <h1 class='font-weight-bolder text-uppercase text-center'>About Me</h1>
        <hr class='mb-5'>
        <div class='cv-card'>
          <div class='px-5'>
            Hi and welcome to my subpage :) <br>

            My name is Moritz Lindner, and I am a software developer from Berlin.<br>

            I am currently working at DB Systel GmbH and studying for a Master's degree in Computer
            Science. <br>

            My focus is on backend development, so I work with languages like
            Kotlin, Java, Scala and their respective build tools and libraries.
            However, I also have some experience in frontend development. <br>

            For a more complete list of skills, languages and libraries I can use, see Skills below.

            My bachelor thesis was about one of my favourite subjects. Functional Programming.
            It is called "Reliable and Maintainable Services:
            Introducing Functional Programming in Spring Boot Service Development" and you can find
            it here:
            <a
              href="https://drive.google.com/file/d/1XSlDV63It61MOcmEngATjdQQf4tqOzRQ/view?usp=sharing"
              class="about__link" target="_blank">here</a>.<br>

            As the title of my bachelor thesis suggests, functional programming is one of my main
            interests in software development. <br>
            I have also developed an interest in event sourcing and domain-driven design.
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class='container-fluid'>
    <div class='row mb-5'>
      <div class='col-10 col-lg-5 mx-auto my-5 my-lg-0'>
        <h1 class='font-weight-bolder text-uppercase'>Experience</h1>
        <hr class='mb-5'>
        <div class='cv-card'>
          <div class='px-5'>
            <h2>
              <span
                class='d-block d-sm-inline-block text-center text-sm-left'>Software developer</span>
              <span class='d-none d-sm-inline-block text-center text-sm-left'>|</span>
              <span
                class='d-block d-sm-inline-block text-center text-sm-left'>since 14.09.2021</span>
            </h2>
            <h3 class='text-center text-sm-left mb-3 mb-sm-0'>DB Systel GmbH</h3>
            <p class='mb-5'>
              After completing my bachelor's degree, I was taken on by DB Systel. Since then I have
              been
              I have been working as a backend developer.
            </p>
            <h2>
              <span class='d-block d-sm-inline-block text-center text-sm-left'>Dual Student</span>
              <span class='d-none d-sm-inline-block text-center text-sm-left'>|</span>
              <span class='d-block d-sm-inline-block text-center text-sm-left'>01.10.2018</span>
              <span class='d-block d-sm-inline-block text-center text-sm-left'>-</span>
              <span class='d-block d-sm-inline-block text-center text-sm-left'>13.09.2021</span>
            </h2>
            <h3 class='text-center text-sm-left mb-3 mb-sm-0'>DB Systel GmbH</h3>
            <p>
              My dual study programme was divided into theoretical and practical phases.
              During the practical phases, I worked in different teams and was able to gain a lot of
              practical experience.
              practical experience.
              During the 6 practical phases, I focused on backend development and learned how to
              to work in agile teams.
            </p>

          </div>
        </div>


      </div>
      <div class='col-10 col-lg-5 mx-auto my-5 my-lg-0'>
        <h1 class='font-weight-bolder text-uppercase'>Education</h1>
        <hr class='mb-5'>
        <div class='cv-card'>
          <div class='px-5'>


            <h2>
              <span
                class='d-block d-sm-inline-block text-center text-sm-left'>Master of science</span>
              <span class='d-none d-sm-inline-block text-center text-sm-left'>|</span>
              <span class='d-block d-sm-inline-block text-center text-sm-left'>01.10.2021</span>
              <span class='d-block d-sm-inline-block text-center text-sm-left'>-</span>
              <span class='d-block d-sm-inline-block text-center text-sm-left'>ongoing</span>
            </h2>
            <h3 class='text-center text-sm-left mb-3 mb-sm-0'>Humboldt Universität zu Berlin</h3>
            <p class='mb-5'>
              After working for a year, I started my Master's degree in Computer Science at
              HU. I am currently in the third semester. <br>
            </p>

            <h2>
              <span
                class='d-block d-sm-inline-block text-center text-sm-left'>Bachelor of science</span>
              <span class='d-none d-sm-inline-block text-center text-sm-left'>|</span>
              <span class='d-block d-sm-inline-block text-center text-sm-left'>01.10.2018</span>
              <span class='d-block d-sm-inline-block text-center text-sm-left'>-</span>
              <span class='d-block d-sm-inline-block text-center text-sm-left'>13.09.2021</span>
            </h2>
            <h3 class='text-center text-sm-left mb-3 mb-sm-0'>Hochschule für Wirtschaft und Recht
              Berlin</h3>
            <p class='mb-5'>
              After my A-levels I started a dual study programme in computer science at the HWR
              Berlin.
              The company in the dual study programme was DB Systel GmbH.
              <br>
              My bachelor thesis has the title: "Reliable and maintainable services: Introducing
              functional programming in Spring Boot Service development". The thesis can be viewed
              <a
                href="https://drive.google.com/file/d/1XSlDV63It61MOcmEngATjdQQf4tqOzRQ/view?usp=sharing"
                class="about__link" target="_blank">here</a>.
            </p>

            <h2>
              <span class='d-block d-sm-inline-block text-center text-sm-left'>Abitur</span>
              <span class='d-none d-sm-inline-block text-center text-sm-left'>|</span>
              <span class='d-block d-sm-inline-block text-center text-sm-left'>2018</span>
            </h2>
            <h3 class='text-center text-sm-left mb-3 mb-sm-0'>Julius-Motteler-Gymnasium</h3>
            <p>
              In 2018, I graduated from Julius-Motteler-Gymnasium.
            </p>
          </div>
        </div>
      </div>
    </div>

    <div class='row'>
      <div class='col-10 col-lg-5 mx-auto my-5 my-lg-0'>
        <h1 class='font-weight-bolder text-uppercase'>Skills</h1>
        <hr class='mb-5'>
        <div class='cv-card'>
          <p class='px-5'>
            Below is a list of skills I have and languages / frameworks / libraries / et cetera I
            have used. My level of knowledge in each area varies, of course.
          </p>
          <ul class='skill-list'>
            <li class='skill-list__item'>Clean Code (TDD advocate), agile and extreme programming
              methods
            </li>
            <li class='skill-list__item'>Kotlin, Scala, Java</li>
            <li class='skill-list__item'>SpringBoot, Ktor, http4k, http4s, play,</li>
            <li class='skill-list__item'>Arrow (Core + FX + Optics), Kotlin-Coroutines,
              Jetpack Compose, Akka, Cats
            </li>
            <li class='skill-list__item'>Typescript, Angular, Android, Flutter</li>
            <li class='skill-list__item'>MySQL, PostgresQL, EventStore DB</li>
            <li class='skill-list__item'>Git, GitLab, JetBrains IDEs</li>
            <li class='skill-list__item'>DevOPS, CI/CD, Linux, Docker, Openshift, AWS, Terraform,
              Pulumi
            </li>
            <li class='skill-list__item'>Monitoring and alerting with Prometheus</li>
            <li class='skill-list__item'>Functional Programming, Event Sourcing</li>
          </ul>
        </div>
      </div>
      <div class='col-10 col-lg-5 mx-auto my-5 my-lg-0'>
        <h1 class='font-weight-bolder text-uppercase'>Contact and more</h1>
        <hr class='mb-5'>
        <div class='cv-card'>
          <p class='px-5'>
            If you would like to know more about me and my work, you can contact me via the
            following
            social networks.
            Or check out the other pages of this website!
          </p>
          <ul class='contact-list'>
            <li>X (Formerly known as Twitter)<a href='https://twitter.com/MO_iostream'
                                                class='gitlab-link'
                                                target="_blank">@MO_iostream</a>
            </li>
            <li>Mail (private): <a href='mailto:lindner197@gmail.com' class='gitlab-link'
                                   target="_blank">lindner197@gmail.com</a>
            </li>
            <li>Mail (work): <a href='mailto:moritz.lindner@deutschebahn.com' class='gitlab-link'
                                target="_blank">moritz.lindner@deutschebahn.com</a>
            </li>
            <li>Xing: <a href='https://www.xing.com/profile/Moritz_Lindner11' class='gitlab-link'
                         target="_blank">Moritz
              Lindner</a></li>
            <li>LinkedIn: <a href='https://www.linkedin.com/in/moritz-lindner-b59621158'
                             target="_blank"
                             class='gitlab-link'>Moritz Lindner</a></li>
            <li>GitLab: <a href='https://gitlab.com/linde9821' target="_blank" class='gitlab-link'>@linde9821</a>
            <li>GitHub: <a href='https://github.com/linde9821' target="_blank" class='gitlab-link'>@linde9821</a>
            </li>
          </ul>
          <div class='linking text-center'>
            <a routerLink='../project-feed' class='sublink'>Projects</a>
            <a routerLink='../maxe' class='sublink'>Maxe</a>
            <a class='sublink' target='_blank' rel='noopener noreferrer'
               href='https://gitlab.com/team-scalangular'>
              Gitlab Group
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<home-footer></home-footer>
